import dk.vajhoej.record.FieldType;
import dk.vajhoej.record.Struct;
import dk.vajhoej.record.StructField;

@Struct
public class Dataf {
    @StructField(n=0, type=FieldType.INT4)
    private int iv;
    @StructField(n=1, type=FieldType.FIXSTR, length=256, pad=true, padchar=' ')
    private String sv;
    public Dataf() {
        this(0, "");
    }
    public Dataf(int iv, String sv) {
        this.iv = iv;
        this.sv = sv;
    }
    public int getIv() {
        return iv;
    }
    public void setIv(int iv) {
        this.iv = iv;
    }
    public String getSv() {
        return sv;
    }
    public void setSv(String sv) {
        this.sv = sv;
    }
    @Override
    public String toString() {
        return String.format("{iv: %d, sv: %s}", iv, sv);
    }
}
