// GENERATED CODE - edits may be overwritten
#include <stdint.h>

#include "tig.h"

#include "democ_client.h"

void democ_client_init(struct tig_t *ctx, const char* host)
{
    ctx->host = host;
    ctx->port = 12345;
}

int32_t democ_client_add(struct tig_t *ctx, int32_t a, int32_t b, int32_t* res)
{
    ctx->con = con_init(ctx->host, ctx->port);
    con_prep(ctx->con);
    con_put_charptr(ctx->con, "add");
    a = to_little_32(a);
    con_put_int32_t(ctx->con, a);
    b = to_little_32(b);
    con_put_int32_t(ctx->con, b);
    con_send(ctx->con);
    con_recv(ctx->con);
    int retval = con_get_int32_t(ctx->con);
    *res = con_get_int32_t(ctx->con);
    *res = from_little_32(*res);
    con_close(ctx->con);
    return retval;
}

int32_t democ_client_conc(struct tig_t *ctx, charptr a, charptr b, charptr* res)
{
    ctx->con = con_init(ctx->host, ctx->port);
    con_prep(ctx->con);
    con_put_charptr(ctx->con, "conc");
    con_put_charptr(ctx->con, a);
    con_put_charptr(ctx->con, b);
    con_send(ctx->con);
    con_recv(ctx->con);
    int retval = con_get_int32_t(ctx->con);
    *res = con_get_charptr(ctx->con);
    con_close(ctx->con);
    return retval;
}

int32_t democ_client_modify(struct tig_t *ctx, datac* o)
{
    ctx->con = con_init(ctx->host, ctx->port);
    con_prep(ctx->con);
    con_put_charptr(ctx->con, "modify");
    con_put_block(ctx->con, *o, sizeof(**o));
    con_send(ctx->con);
    con_recv(ctx->con);
    int retval = con_get_int32_t(ctx->con);
    *o = (datac)con_get_block(ctx->con);
    con_close(ctx->con);
    return retval;
}

int32_t democ_client_getid(struct tig_t *ctx, charptr* res)
{
    ctx->con = con_init(ctx->host, ctx->port);
    con_prep(ctx->con);
    con_put_charptr(ctx->con, "getid");
    con_send(ctx->con);
    con_recv(ctx->con);
    int retval = con_get_int32_t(ctx->con);
    *res = con_get_charptr(ctx->con);
    con_close(ctx->con);
    return retval;
}

